%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-readdirp
Version:        2.1.0
Release:        8%{?dist}
Summary:        Recursive version of Node's fs.readdir with a streaming API

License:        MIT
URL:            https://github.com/thlorenz/readdirp
Source0:        https://registry.npmjs.org/readdirp/-/readdirp-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:        tests-v%{version}.tar.bz2
Source10:       dl-tests.sh
# https://github.com/thlorenz/readdirp/pull/38
Patch0:         nodejs-readdirp-pause.patch

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(graceful-fs)
BuildRequires:  npm(minimatch)
BuildRequires:  npm(proxyquire)
BuildRequires:  npm(readable-stream)
BuildRequires:  npm(set-immediate-shim)
BuildRequires:  npm(tap)
BuildRequires:  npm(through2)
%endif

%description
%{summary}.


%prep
%setup -q -n package
# The NPM tarball is missing some files within test/
rm -rf test/
%setup -q -T -D -a 1 -n package
# Apply patches
%patch0 -p1
# Remove executable bit.
find . -type f -exec chmod -x '{}' \;
# Fix dependencies
%nodejs_fixdep minimatch "^3.0.0"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/readdirp
cp -pr package.json readdirp.js stream-api.js \
    %{buildroot}%{nodejs_sitelib}/readdirp

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__tap test/*.js
%endif


%files
%doc README.md examples/
%license LICENSE
%{nodejs_sitelib}/readdirp


%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jun 27 2016 Tom Hughes <tom@compton.nu> - 2.1.0-1
- Update to 2.1.0 upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 2.0.0-2
- Update npm(minimatch) dependency

* Thu Dec 31 2015 Tom Hughes <tom@compton.nu> - 2.0.0-1
- Update to 2.0.0 upstream release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 26 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-1
- update to upstream release 0.4.0

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.3-1
- initial package
